Skip to main content
POST
/
customers
/
migrate
/
transactions
cURL
curl --request POST \
  --url https://app.masivo.ai/api/storefront/v1/customers/migrate/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customers": [
    {
      "id": "<string>",
      "transactions": [
        {
          "brand_id": "<string>",
          "reward_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "details": "<string>",
          "type": "ACCUMULATION",
          "issued_at": "2023-11-07T05:31:56Z",
          "resolved_at": "2023-11-07T05:31:56Z",
          "amount": 123,
          "cost": 123,
          "store_id": "<string>",
          "channel_id": "<string>",
          "event": {
            "type": "PURCHASE"
          },
          "funded_by": "<string>"
        }
      ]
    }
  ]
}
'
{
  "error": "<string>",
  "details": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customers
object[]
required

Response

Customer transactions enqueued successfully